# Create ACL

**POST /v1/acls**

Create a new ACL.


## Servers
- Data Plane API: https://{dataplane_api_subdomain}.cloud.redpanda.com (Data Plane API)


## Authentication methods
- Auth0


## Parameters



### Body: application/json (object)

- **host** (string)
  The host address to use for this ACL. To allow a principal
  access from multiple hosts, you must create an ACL for each host.
- **operation** (string)
  The operation that is allowed or denied (e.g. READ).
- **permission_type** (string)
  Whether the operation should be allowed or denied.
- **principal** (string)
  The user for whom this ACL applies. With the Kafka simple
  authorizer, you must include the prefix "User:" with the user name.
- **resource_name** (string)
  The name of the resource this ACL targets.
  For requests with resource_type CLUSTER, this will default to "kafka-cluster".
- **resource_pattern_type** (string)
  The pattern to use for matching the specified resource_name
  (any, exact match, literal, or prefixed).
- **resource_type** (string)
  The type of resource (topic, consumer group, etc.) this
  ACL targets.


## Responses
### 201
Created

#### Body: application/json (object)
object
### 401
Unauthenticated.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.

### 500
Internal Server Error. Reach out to support.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.

### default
An unexpected error response.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.


[Powered by Bump.sh](https://bump.sh)
